Package org.springframework.web.servlet.tags

# Interface ParamAware

All Known Implementing Classes:
  `UrlTag`

public interface ParamAware
Allows implementing tag to utilize nested `spring:param` tags.

Since:
  3.0
Author:
  Scott Andrews
See Also:
  - `ParamTag`

## Method Summary

Modifier and Type
Method
Description
`void`
`addParam(Param param)`
Callback hook for nested spring:param tags to pass their value to the parent tag.

## Method Details

### addParam

void addParam(Param param)
Callback hook for nested spring:param tags to pass their value to the parent tag.

Parameters:
  `param` - the result of the nested `spring:param` tag